shithub: scc

Download patch

ref: 45376df5234d6bf2d9600627aaa89afd3cf166c2
parent: 51850809dec3daafd0da16366e404df08ae4f44e
author: Roberto E. Vargas Caballero <k0ga@shike2.com>
date: Sun Feb 26 07:35:04 EST 2017

[tests] Mark with TODO the known failed tests

--- a/tests/execute/Makefile
+++ b/tests/execute/Makefile
@@ -2,6 +2,6 @@
 all: tests
 
 tests:
-	SCCEXECPATH=../../bin PATH=../../bin:$$PATH ./chktest.sh `cat scc-tests.lst`
+	SCCEXECPATH=../../bin PATH=../../bin:$$PATH ./chktest.sh < scc-tests.lst
 clean:
 	rm -f *.as *.o *.ir *.qbe *core
--- a/tests/execute/chktest.sh
+++ b/tests/execute/chktest.sh
@@ -4,9 +4,15 @@
 tabs 40
 ulimit -c 0
 
-for i in $@
+while read i state
 do
 	printf "%s\t" $i
-	rm -f a.out
-	(scc -Isysinclude -m qbe "$i" && ./a.out) 2>/dev/null && echo [OK] || echo [FAILED]
+	if test "$state" = TODO
+	then
+		echo '[TODO]'
+	else
+		rm -f a.out
+		(scc -Isysinclude -m qbe "$i" && ./a.out) 2>/dev/null &&
+			echo [OK] || echo [FAILED]
+	fi
 done
--- a/tests/execute/scc-tests.lst
+++ b/tests/execute/scc-tests.lst
@@ -52,7 +52,7 @@
 0054-struct.c
 0055-enum.c
 0056-enum.c
-0057-duff.c
+0057-duff.c TODO
 0058-bug.c
 0059-multistring.c
 0060-charlit.c
@@ -86,18 +86,18 @@
 0091-fptr.c
 0092-fptr.c
 0093-arrayinit.c
-0094-arrayinit.c
+0094-arrayinit.c TODO
 0095-arrayselector.c
 0096-inferredarraysize.c
 0097-extern.c
-0098-tentative.c
-0099-tentative.c
+0098-tentative.c TODO
+0099-tentative.c TODO
 0102-bug.c
 0103-voidparm.c
 0104-qbebug.c
 0105-shl.c
 0106-ppcast.c
-0107-bnot.c
+0107-bnot.c TODO
 0108-bug.c
 0109-struct.c
 0110-typedefcast.c
@@ -104,10 +104,10 @@
 0111-doubledef.c
 0112-cond.c
 0113-externredecl.c
-0114-shortassig.c
+0114-shortassig.c TODO
 0115-null-comparision.c
-0116-floatcmp.c
+0116-floatcmp.c TODO
 0117-pointarith.c
-0118-voidmain.c
+0118-voidmain.c TODO
 0119-macrostr.c
 0120-funpar.c